import React from 'react'

export default (props) => {

  const { to, route = 'hash' } = props;

  const href = React.useMemo(() => {
    if (route === 'hash') {
      const prefix = window.location.href.replace(/#.*$/, '');
      return `${prefix}#${to}`;
    }
    return to;
  }, [route, to]);

  return (
    <a target="_blank" href={href}>{props.children}</a>
  )
}
