import React from "react";
import { Button, Card, Popconfirm } from "antd";
import { useSearchParams } from "react-router-dom";
import Page from "@/components/Page";
import Wangeditor from "@/components/Wangeditor";
import { getTaCheckStandById, putTaCheckStand } from "@/service/tacheckstand";

export default (props) => {
  const [loading, setLoading] = React.useState(false);
  const [editable, setEditAble] = React.useState(false);
  const [detail, setDetail] = React.useState(false);

  const [searchParams] = useSearchParams();
  const id = searchParams.get("id");

  const onChange = (e) => {
    setDetail({
      ...(detail || {}),
      content: e,
    });
  };

  const onSubmit = (e) => {
    setLoading(true);
    putTaCheckStand(id, detail)
      .then(() => {
        setLoading(false);
      })
      .catch(() => {
        setLoading(false);
      });
  };

  React.useEffect(() => {
    setLoading(true);
    getTaCheckStandById(id)
      .then((res) => {
        setDetail(res);
        setLoading(false);
      })
      .catch(() => {
        setLoading(false);
      });
  }, []);

  return (
    <Page>
      <Card
        loading={loading}
        extra={
          <Button type="primary" onClick={onSubmit}>
            提交
          </Button>
        }
      >
        <Wangeditor
          value={detail?.content}
          toolbarConfig={{
            toolbarKeys: [
              "headerSelect",
              "blockquote",
              "|",
              "bold",
              "underline",
              "italic",
              "color",
              "fontSize",
              "|",
              "bulletedList",
              "numberedList",
            ],
          }}
          onChange={onChange}
        />
      </Card>
    </Page>
  );
};
