import React from 'react';
import { useModel } from "@/store";

export default function useOrgResponsible() {
  const { user } = useModel('user');

  const isResponsible = React.useMemo(() => {
    const { org } = user || {};
    return org?.isResponsible || false;
  }, [user]);

  return [
    isResponsible,
    user?.org,
  ]
}
